# Uses of Class
javax.net.ssl.SNIServerName

Packages that use SNIServerName
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SNIServerName in javax.net.ssl

Subclasses of SNIServerName in javax.net.ssl
Modifier and Type
Class
Description
`class`
`SNIHostName`
Instances of this class represent a server name of type `host_name` in a Server Name Indication (SNI) extension.
Methods in javax.net.ssl that return types with arguments of type SNIServerName
Modifier and Type
Method
Description
`List<SNIServerName>`
ExtendedSSLSession.`getRequestedServerNames()`
Obtains a `List` containing all `SNIServerName`s of the requested Server Name Indication (SNI) extension.
`List<SNIServerName>`
SSLParameters.`getServerNames()`
Returns a `List` containing all `SNIServerName`s of the Server Name Indication (SNI) parameter, or null if none has been set.
Methods in javax.net.ssl with parameters of type SNIServerName
Modifier and Type
Method
Description
`abstract boolean`
SNIMatcher.`matches​(SNIServerName serverName)`
Attempts to match the given `SNIServerName`.
Method parameters in javax.net.ssl with type arguments of type SNIServerName
Modifier and Type
Method
Description
`void`
SSLParameters.`setServerNames​(List<SNIServerName> serverNames)`
Sets the desired `SNIServerName`s of the Server Name Indication (SNI) parameter.